Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network69.0.0.0/8
Usable hosts16,777,214
Subnet mask255.0.0.0
Addresses16,777,216
Network address
69.0.0.0
Broadcast address
69.255.255.255
First usable
69.0.0.1
Last usable
69.255.255.254
Usable hosts
16,777,214 (16,777,216 less the network and broadcast addresses)
Subnet mask
255.0.0.0
Wildcard mask
0.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/8
Type
Public public
Old class
A (default /8)
As numbers
Hex 45000000 · Integer 1157627904 to 1174405119
Reverse DNS zone
69.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01000101..00000000.00000000.0000000069.0.0.0
Subnet mask11111111..00000000.00000000.00000000255.0.0.0
Network01000101..00000000.00000000.0000000069.0.0.0
Broadcast01000101..11111111.11111111.1111111169.255.255.255
Split into smaller subnets/20

69.0.0.0/8 makes 4,096 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
169.0.0.0/2069.0.0.1 to 69.0.15.25469.0.15.2554,094
269.0.16.0/2069.0.16.1 to 69.0.31.25469.0.31.2554,094
369.0.32.0/2069.0.32.1 to 69.0.47.25469.0.47.2554,094
469.0.48.0/2069.0.48.1 to 69.0.63.25469.0.63.2554,094
569.0.64.0/2069.0.64.1 to 69.0.79.25469.0.79.2554,094
669.0.80.0/2069.0.80.1 to 69.0.95.25469.0.95.2554,094
769.0.96.0/2069.0.96.1 to 69.0.111.25469.0.111.2554,094
869.0.112.0/2069.0.112.1 to 69.0.127.25469.0.127.2554,094
969.0.128.0/2069.0.128.1 to 69.0.143.25469.0.143.2554,094
1069.0.144.0/2069.0.144.1 to 69.0.159.25469.0.159.2554,094
1169.0.160.0/2069.0.160.1 to 69.0.175.25469.0.175.2554,094
1269.0.176.0/2069.0.176.1 to 69.0.191.25469.0.191.2554,094
1369.0.192.0/2069.0.192.1 to 69.0.207.25469.0.207.2554,094
1469.0.208.0/2069.0.208.1 to 69.0.223.25469.0.223.2554,094
1569.0.224.0/2069.0.224.1 to 69.0.239.25469.0.239.2554,094
1669.0.240.0/2069.0.240.1 to 69.0.255.25469.0.255.2554,094
1769.1.0.0/2069.1.0.1 to 69.1.15.25469.1.15.2554,094
1869.1.16.0/2069.1.16.1 to 69.1.31.25469.1.31.2554,094
1969.1.32.0/2069.1.32.1 to 69.1.47.25469.1.47.2554,094
2069.1.48.0/2069.1.48.1 to 69.1.63.25469.1.63.2554,094
2169.1.64.0/2069.1.64.1 to 69.1.79.25469.1.79.2554,094
2269.1.80.0/2069.1.80.1 to 69.1.95.25469.1.95.2554,094
2369.1.96.0/2069.1.96.1 to 69.1.111.25469.1.111.2554,094
2469.1.112.0/2069.1.112.1 to 69.1.127.25469.1.127.2554,094
2569.1.128.0/2069.1.128.1 to 69.1.143.25469.1.143.2554,094
2669.1.144.0/2069.1.144.1 to 69.1.159.25469.1.159.2554,094
2769.1.160.0/2069.1.160.1 to 69.1.175.25469.1.175.2554,094
2869.1.176.0/2069.1.176.1 to 69.1.191.25469.1.191.2554,094
2969.1.192.0/2069.1.192.1 to 69.1.207.25469.1.207.2554,094
3069.1.208.0/2069.1.208.1 to 69.1.223.25469.1.223.2554,094
3169.1.224.0/2069.1.224.1 to 69.1.239.25469.1.239.2554,094
3269.1.240.0/2069.1.240.1 to 69.1.255.25469.1.255.2554,094
3369.2.0.0/2069.2.0.1 to 69.2.15.25469.2.15.2554,094
3469.2.16.0/2069.2.16.1 to 69.2.31.25469.2.31.2554,094
3569.2.32.0/2069.2.32.1 to 69.2.47.25469.2.47.2554,094
3669.2.48.0/2069.2.48.1 to 69.2.63.25469.2.63.2554,094
3769.2.64.0/2069.2.64.1 to 69.2.79.25469.2.79.2554,094
3869.2.80.0/2069.2.80.1 to 69.2.95.25469.2.95.2554,094
3969.2.96.0/2069.2.96.1 to 69.2.111.25469.2.111.2554,094
4069.2.112.0/2069.2.112.1 to 69.2.127.25469.2.127.2554,094
4169.2.128.0/2069.2.128.1 to 69.2.143.25469.2.143.2554,094
4269.2.144.0/2069.2.144.1 to 69.2.159.25469.2.159.2554,094
4369.2.160.0/2069.2.160.1 to 69.2.175.25469.2.175.2554,094
4469.2.176.0/2069.2.176.1 to 69.2.191.25469.2.191.2554,094
4569.2.192.0/2069.2.192.1 to 69.2.207.25469.2.207.2554,094
4669.2.208.0/2069.2.208.1 to 69.2.223.25469.2.223.2554,094
4769.2.224.0/2069.2.224.1 to 69.2.239.25469.2.239.2554,094
4869.2.240.0/2069.2.240.1 to 69.2.255.25469.2.255.2554,094
4969.3.0.0/2069.3.0.1 to 69.3.15.25469.3.15.2554,094
5069.3.16.0/2069.3.16.1 to 69.3.31.25469.3.31.2554,094
5169.3.32.0/2069.3.32.1 to 69.3.47.25469.3.47.2554,094
5269.3.48.0/2069.3.48.1 to 69.3.63.25469.3.63.2554,094
5369.3.64.0/2069.3.64.1 to 69.3.79.25469.3.79.2554,094
5469.3.80.0/2069.3.80.1 to 69.3.95.25469.3.95.2554,094
5569.3.96.0/2069.3.96.1 to 69.3.111.25469.3.111.2554,094
5669.3.112.0/2069.3.112.1 to 69.3.127.25469.3.127.2554,094
5769.3.128.0/2069.3.128.1 to 69.3.143.25469.3.143.2554,094
5869.3.144.0/2069.3.144.1 to 69.3.159.25469.3.159.2554,094
5969.3.160.0/2069.3.160.1 to 69.3.175.25469.3.175.2554,094
6069.3.176.0/2069.3.176.1 to 69.3.191.25469.3.191.2554,094
6169.3.192.0/2069.3.192.1 to 69.3.207.25469.3.207.2554,094
6269.3.208.0/2069.3.208.1 to 69.3.223.25469.3.223.2554,094
6369.3.224.0/2069.3.224.1 to 69.3.239.25469.3.239.2554,094
6469.3.240.0/2069.3.240.1 to 69.3.255.25469.3.255.2554,094
6569.4.0.0/2069.4.0.1 to 69.4.15.25469.4.15.2554,094
6669.4.16.0/2069.4.16.1 to 69.4.31.25469.4.31.2554,094
6769.4.32.0/2069.4.32.1 to 69.4.47.25469.4.47.2554,094
6869.4.48.0/2069.4.48.1 to 69.4.63.25469.4.63.2554,094
6969.4.64.0/2069.4.64.1 to 69.4.79.25469.4.79.2554,094
7069.4.80.0/2069.4.80.1 to 69.4.95.25469.4.95.2554,094
7169.4.96.0/2069.4.96.1 to 69.4.111.25469.4.111.2554,094
7269.4.112.0/2069.4.112.1 to 69.4.127.25469.4.127.2554,094
7369.4.128.0/2069.4.128.1 to 69.4.143.25469.4.143.2554,094
7469.4.144.0/2069.4.144.1 to 69.4.159.25469.4.159.2554,094
7569.4.160.0/2069.4.160.1 to 69.4.175.25469.4.175.2554,094
7669.4.176.0/2069.4.176.1 to 69.4.191.25469.4.191.2554,094
7769.4.192.0/2069.4.192.1 to 69.4.207.25469.4.207.2554,094
7869.4.208.0/2069.4.208.1 to 69.4.223.25469.4.223.2554,094
7969.4.224.0/2069.4.224.1 to 69.4.239.25469.4.239.2554,094
8069.4.240.0/2069.4.240.1 to 69.4.255.25469.4.255.2554,094
8169.5.0.0/2069.5.0.1 to 69.5.15.25469.5.15.2554,094
8269.5.16.0/2069.5.16.1 to 69.5.31.25469.5.31.2554,094
8369.5.32.0/2069.5.32.1 to 69.5.47.25469.5.47.2554,094
8469.5.48.0/2069.5.48.1 to 69.5.63.25469.5.63.2554,094
8569.5.64.0/2069.5.64.1 to 69.5.79.25469.5.79.2554,094
8669.5.80.0/2069.5.80.1 to 69.5.95.25469.5.95.2554,094
8769.5.96.0/2069.5.96.1 to 69.5.111.25469.5.111.2554,094
8869.5.112.0/2069.5.112.1 to 69.5.127.25469.5.127.2554,094
8969.5.128.0/2069.5.128.1 to 69.5.143.25469.5.143.2554,094
9069.5.144.0/2069.5.144.1 to 69.5.159.25469.5.159.2554,094
9169.5.160.0/2069.5.160.1 to 69.5.175.25469.5.175.2554,094
9269.5.176.0/2069.5.176.1 to 69.5.191.25469.5.191.2554,094
9369.5.192.0/2069.5.192.1 to 69.5.207.25469.5.207.2554,094
9469.5.208.0/2069.5.208.1 to 69.5.223.25469.5.223.2554,094
9569.5.224.0/2069.5.224.1 to 69.5.239.25469.5.239.2554,094
9669.5.240.0/2069.5.240.1 to 69.5.255.25469.5.255.2554,094
9769.6.0.0/2069.6.0.1 to 69.6.15.25469.6.15.2554,094
9869.6.16.0/2069.6.16.1 to 69.6.31.25469.6.31.2554,094
9969.6.32.0/2069.6.32.1 to 69.6.47.25469.6.47.2554,094
10069.6.48.0/2069.6.48.1 to 69.6.63.25469.6.63.2554,094
10169.6.64.0/2069.6.64.1 to 69.6.79.25469.6.79.2554,094
10269.6.80.0/2069.6.80.1 to 69.6.95.25469.6.95.2554,094
10369.6.96.0/2069.6.96.1 to 69.6.111.25469.6.111.2554,094
10469.6.112.0/2069.6.112.1 to 69.6.127.25469.6.127.2554,094
10569.6.128.0/2069.6.128.1 to 69.6.143.25469.6.143.2554,094
10669.6.144.0/2069.6.144.1 to 69.6.159.25469.6.159.2554,094
10769.6.160.0/2069.6.160.1 to 69.6.175.25469.6.175.2554,094
10869.6.176.0/2069.6.176.1 to 69.6.191.25469.6.191.2554,094
10969.6.192.0/2069.6.192.1 to 69.6.207.25469.6.207.2554,094
11069.6.208.0/2069.6.208.1 to 69.6.223.25469.6.223.2554,094
11169.6.224.0/2069.6.224.1 to 69.6.239.25469.6.239.2554,094
11269.6.240.0/2069.6.240.1 to 69.6.255.25469.6.255.2554,094
11369.7.0.0/2069.7.0.1 to 69.7.15.25469.7.15.2554,094
11469.7.16.0/2069.7.16.1 to 69.7.31.25469.7.31.2554,094
11569.7.32.0/2069.7.32.1 to 69.7.47.25469.7.47.2554,094
11669.7.48.0/2069.7.48.1 to 69.7.63.25469.7.63.2554,094
11769.7.64.0/2069.7.64.1 to 69.7.79.25469.7.79.2554,094
11869.7.80.0/2069.7.80.1 to 69.7.95.25469.7.95.2554,094
11969.7.96.0/2069.7.96.1 to 69.7.111.25469.7.111.2554,094
12069.7.112.0/2069.7.112.1 to 69.7.127.25469.7.127.2554,094
12169.7.128.0/2069.7.128.1 to 69.7.143.25469.7.143.2554,094
12269.7.144.0/2069.7.144.1 to 69.7.159.25469.7.159.2554,094
12369.7.160.0/2069.7.160.1 to 69.7.175.25469.7.175.2554,094
12469.7.176.0/2069.7.176.1 to 69.7.191.25469.7.191.2554,094
12569.7.192.0/2069.7.192.1 to 69.7.207.25469.7.207.2554,094
12669.7.208.0/2069.7.208.1 to 69.7.223.25469.7.223.2554,094
12769.7.224.0/2069.7.224.1 to 69.7.239.25469.7.239.2554,094
12869.7.240.0/2069.7.240.1 to 69.7.255.25469.7.255.2554,094
12969.8.0.0/2069.8.0.1 to 69.8.15.25469.8.15.2554,094
13069.8.16.0/2069.8.16.1 to 69.8.31.25469.8.31.2554,094
13169.8.32.0/2069.8.32.1 to 69.8.47.25469.8.47.2554,094
13269.8.48.0/2069.8.48.1 to 69.8.63.25469.8.63.2554,094
13369.8.64.0/2069.8.64.1 to 69.8.79.25469.8.79.2554,094
13469.8.80.0/2069.8.80.1 to 69.8.95.25469.8.95.2554,094
13569.8.96.0/2069.8.96.1 to 69.8.111.25469.8.111.2554,094
13669.8.112.0/2069.8.112.1 to 69.8.127.25469.8.127.2554,094
13769.8.128.0/2069.8.128.1 to 69.8.143.25469.8.143.2554,094
13869.8.144.0/2069.8.144.1 to 69.8.159.25469.8.159.2554,094
13969.8.160.0/2069.8.160.1 to 69.8.175.25469.8.175.2554,094
14069.8.176.0/2069.8.176.1 to 69.8.191.25469.8.191.2554,094
14169.8.192.0/2069.8.192.1 to 69.8.207.25469.8.207.2554,094
14269.8.208.0/2069.8.208.1 to 69.8.223.25469.8.223.2554,094
14369.8.224.0/2069.8.224.1 to 69.8.239.25469.8.239.2554,094
14469.8.240.0/2069.8.240.1 to 69.8.255.25469.8.255.2554,094
14569.9.0.0/2069.9.0.1 to 69.9.15.25469.9.15.2554,094
14669.9.16.0/2069.9.16.1 to 69.9.31.25469.9.31.2554,094
14769.9.32.0/2069.9.32.1 to 69.9.47.25469.9.47.2554,094
14869.9.48.0/2069.9.48.1 to 69.9.63.25469.9.63.2554,094
14969.9.64.0/2069.9.64.1 to 69.9.79.25469.9.79.2554,094
15069.9.80.0/2069.9.80.1 to 69.9.95.25469.9.95.2554,094
15169.9.96.0/2069.9.96.1 to 69.9.111.25469.9.111.2554,094
15269.9.112.0/2069.9.112.1 to 69.9.127.25469.9.127.2554,094
15369.9.128.0/2069.9.128.1 to 69.9.143.25469.9.143.2554,094
15469.9.144.0/2069.9.144.1 to 69.9.159.25469.9.159.2554,094
15569.9.160.0/2069.9.160.1 to 69.9.175.25469.9.175.2554,094
15669.9.176.0/2069.9.176.1 to 69.9.191.25469.9.191.2554,094
15769.9.192.0/2069.9.192.1 to 69.9.207.25469.9.207.2554,094
15869.9.208.0/2069.9.208.1 to 69.9.223.25469.9.223.2554,094
15969.9.224.0/2069.9.224.1 to 69.9.239.25469.9.239.2554,094
16069.9.240.0/2069.9.240.1 to 69.9.255.25469.9.255.2554,094
16169.10.0.0/2069.10.0.1 to 69.10.15.25469.10.15.2554,094
16269.10.16.0/2069.10.16.1 to 69.10.31.25469.10.31.2554,094
16369.10.32.0/2069.10.32.1 to 69.10.47.25469.10.47.2554,094
16469.10.48.0/2069.10.48.1 to 69.10.63.25469.10.63.2554,094
16569.10.64.0/2069.10.64.1 to 69.10.79.25469.10.79.2554,094
16669.10.80.0/2069.10.80.1 to 69.10.95.25469.10.95.2554,094
16769.10.96.0/2069.10.96.1 to 69.10.111.25469.10.111.2554,094
16869.10.112.0/2069.10.112.1 to 69.10.127.25469.10.127.2554,094
16969.10.128.0/2069.10.128.1 to 69.10.143.25469.10.143.2554,094
17069.10.144.0/2069.10.144.1 to 69.10.159.25469.10.159.2554,094
17169.10.160.0/2069.10.160.1 to 69.10.175.25469.10.175.2554,094
17269.10.176.0/2069.10.176.1 to 69.10.191.25469.10.191.2554,094
17369.10.192.0/2069.10.192.1 to 69.10.207.25469.10.207.2554,094
17469.10.208.0/2069.10.208.1 to 69.10.223.25469.10.223.2554,094
17569.10.224.0/2069.10.224.1 to 69.10.239.25469.10.239.2554,094
17669.10.240.0/2069.10.240.1 to 69.10.255.25469.10.255.2554,094
17769.11.0.0/2069.11.0.1 to 69.11.15.25469.11.15.2554,094
17869.11.16.0/2069.11.16.1 to 69.11.31.25469.11.31.2554,094
17969.11.32.0/2069.11.32.1 to 69.11.47.25469.11.47.2554,094
18069.11.48.0/2069.11.48.1 to 69.11.63.25469.11.63.2554,094
18169.11.64.0/2069.11.64.1 to 69.11.79.25469.11.79.2554,094
18269.11.80.0/2069.11.80.1 to 69.11.95.25469.11.95.2554,094
18369.11.96.0/2069.11.96.1 to 69.11.111.25469.11.111.2554,094
18469.11.112.0/2069.11.112.1 to 69.11.127.25469.11.127.2554,094
18569.11.128.0/2069.11.128.1 to 69.11.143.25469.11.143.2554,094
18669.11.144.0/2069.11.144.1 to 69.11.159.25469.11.159.2554,094
18769.11.160.0/2069.11.160.1 to 69.11.175.25469.11.175.2554,094
18869.11.176.0/2069.11.176.1 to 69.11.191.25469.11.191.2554,094
18969.11.192.0/2069.11.192.1 to 69.11.207.25469.11.207.2554,094
19069.11.208.0/2069.11.208.1 to 69.11.223.25469.11.223.2554,094
19169.11.224.0/2069.11.224.1 to 69.11.239.25469.11.239.2554,094
19269.11.240.0/2069.11.240.1 to 69.11.255.25469.11.255.2554,094
19369.12.0.0/2069.12.0.1 to 69.12.15.25469.12.15.2554,094
19469.12.16.0/2069.12.16.1 to 69.12.31.25469.12.31.2554,094
19569.12.32.0/2069.12.32.1 to 69.12.47.25469.12.47.2554,094
19669.12.48.0/2069.12.48.1 to 69.12.63.25469.12.63.2554,094
19769.12.64.0/2069.12.64.1 to 69.12.79.25469.12.79.2554,094
19869.12.80.0/2069.12.80.1 to 69.12.95.25469.12.95.2554,094
19969.12.96.0/2069.12.96.1 to 69.12.111.25469.12.111.2554,094
20069.12.112.0/2069.12.112.1 to 69.12.127.25469.12.127.2554,094
20169.12.128.0/2069.12.128.1 to 69.12.143.25469.12.143.2554,094
20269.12.144.0/2069.12.144.1 to 69.12.159.25469.12.159.2554,094
20369.12.160.0/2069.12.160.1 to 69.12.175.25469.12.175.2554,094
20469.12.176.0/2069.12.176.1 to 69.12.191.25469.12.191.2554,094
20569.12.192.0/2069.12.192.1 to 69.12.207.25469.12.207.2554,094
20669.12.208.0/2069.12.208.1 to 69.12.223.25469.12.223.2554,094
20769.12.224.0/2069.12.224.1 to 69.12.239.25469.12.239.2554,094
20869.12.240.0/2069.12.240.1 to 69.12.255.25469.12.255.2554,094
20969.13.0.0/2069.13.0.1 to 69.13.15.25469.13.15.2554,094
21069.13.16.0/2069.13.16.1 to 69.13.31.25469.13.31.2554,094
21169.13.32.0/2069.13.32.1 to 69.13.47.25469.13.47.2554,094
21269.13.48.0/2069.13.48.1 to 69.13.63.25469.13.63.2554,094
21369.13.64.0/2069.13.64.1 to 69.13.79.25469.13.79.2554,094
21469.13.80.0/2069.13.80.1 to 69.13.95.25469.13.95.2554,094
21569.13.96.0/2069.13.96.1 to 69.13.111.25469.13.111.2554,094
21669.13.112.0/2069.13.112.1 to 69.13.127.25469.13.127.2554,094
21769.13.128.0/2069.13.128.1 to 69.13.143.25469.13.143.2554,094
21869.13.144.0/2069.13.144.1 to 69.13.159.25469.13.159.2554,094
21969.13.160.0/2069.13.160.1 to 69.13.175.25469.13.175.2554,094
22069.13.176.0/2069.13.176.1 to 69.13.191.25469.13.191.2554,094
22169.13.192.0/2069.13.192.1 to 69.13.207.25469.13.207.2554,094
22269.13.208.0/2069.13.208.1 to 69.13.223.25469.13.223.2554,094
22369.13.224.0/2069.13.224.1 to 69.13.239.25469.13.239.2554,094
22469.13.240.0/2069.13.240.1 to 69.13.255.25469.13.255.2554,094
22569.14.0.0/2069.14.0.1 to 69.14.15.25469.14.15.2554,094
22669.14.16.0/2069.14.16.1 to 69.14.31.25469.14.31.2554,094
22769.14.32.0/2069.14.32.1 to 69.14.47.25469.14.47.2554,094
22869.14.48.0/2069.14.48.1 to 69.14.63.25469.14.63.2554,094
22969.14.64.0/2069.14.64.1 to 69.14.79.25469.14.79.2554,094
23069.14.80.0/2069.14.80.1 to 69.14.95.25469.14.95.2554,094
23169.14.96.0/2069.14.96.1 to 69.14.111.25469.14.111.2554,094
23269.14.112.0/2069.14.112.1 to 69.14.127.25469.14.127.2554,094
23369.14.128.0/2069.14.128.1 to 69.14.143.25469.14.143.2554,094
23469.14.144.0/2069.14.144.1 to 69.14.159.25469.14.159.2554,094
23569.14.160.0/2069.14.160.1 to 69.14.175.25469.14.175.2554,094
23669.14.176.0/2069.14.176.1 to 69.14.191.25469.14.191.2554,094
23769.14.192.0/2069.14.192.1 to 69.14.207.25469.14.207.2554,094
23869.14.208.0/2069.14.208.1 to 69.14.223.25469.14.223.2554,094
23969.14.224.0/2069.14.224.1 to 69.14.239.25469.14.239.2554,094
24069.14.240.0/2069.14.240.1 to 69.14.255.25469.14.255.2554,094
24169.15.0.0/2069.15.0.1 to 69.15.15.25469.15.15.2554,094
24269.15.16.0/2069.15.16.1 to 69.15.31.25469.15.31.2554,094
24369.15.32.0/2069.15.32.1 to 69.15.47.25469.15.47.2554,094
24469.15.48.0/2069.15.48.1 to 69.15.63.25469.15.63.2554,094
24569.15.64.0/2069.15.64.1 to 69.15.79.25469.15.79.2554,094
24669.15.80.0/2069.15.80.1 to 69.15.95.25469.15.95.2554,094
24769.15.96.0/2069.15.96.1 to 69.15.111.25469.15.111.2554,094
24869.15.112.0/2069.15.112.1 to 69.15.127.25469.15.127.2554,094
24969.15.128.0/2069.15.128.1 to 69.15.143.25469.15.143.2554,094
25069.15.144.0/2069.15.144.1 to 69.15.159.25469.15.159.2554,094
25169.15.160.0/2069.15.160.1 to 69.15.175.25469.15.175.2554,094
25269.15.176.0/2069.15.176.1 to 69.15.191.25469.15.191.2554,094
25369.15.192.0/2069.15.192.1 to 69.15.207.25469.15.207.2554,094
25469.15.208.0/2069.15.208.1 to 69.15.223.25469.15.223.2554,094
25569.15.224.0/2069.15.224.1 to 69.15.239.25469.15.239.2554,094
25669.15.240.0/2069.15.240.1 to 69.15.255.25469.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses